Subject: [pkix] [PKIX] Query on CRMF Signature Key POP!

From: Mallesh <[email-masked]>
Date: Sat, 28 Aug 2010 13:10:46 +0530

Hello All,
 
In the RFC 4211,  Signature POP Key calucalation description mentioned in
the section 4.1 and Appendix B is found to be ambiguous.
 
In Section 4.1[ 3rd point last statement] Says:
 "The Signatue field is computed over the DER-encoded certificate template
structure"
 
In Appendix B Says: 
"NOTE: If the CertReqMsg certReq CertTemplate contains the subject and
publicKey values, then poposkInput MUST be omitted and the signature MUST be
computed over the DER-encoded value of CertReqMsg certReq."

Is the word "certificate template" mentioned in the Section 4.1 is referring
to "CertTemplate" sturcture (Which is part of CertReq) or CertReq itself ?
 
I Request some calrification on the above query.
 
Thanks and Regards,
Mallesh 

----------------------------------------------------------------------------
---------------------------------------------------------
This e-mail and its attachments contain confidential information from
HUAWEI, which 
is intended only for the person or entity whose address is listed above. Any
use of the 
information contained herein in any way (including, but not limited to,
total or partial 
disclosure, reproduction, or dissemination) by persons other than the
intended 
recipient(s) is prohibited. If you receive this e-mail in error, please
notify the sender by 
phone or email immediately and delete it!

---

From: Peter Gutmann <[email-masked]>
Date: Sat, 28 Aug 2010 20:35:04 +1200

>to "CertTemplate" sturcture (Which is part of CertReq) or CertReq itself ?

It's the whole certReq, just as for PKCS #10.  Here's a sample signed request,
with the template fields omitted:

   0  411: SEQUENCE {
   4  257:   SEQUENCE {
   8    1:     INTEGER 0
  11  251:     SEQUENCE {
  14   87:       [5] {
  16   85:         SEQUENCE {
         :           }
         :         }
 103  159:       [6] {
 106   13:         SEQUENCE {
         :           }
 121  141:         BIT STRING, encapsulates {
         :           }
         :         }
         :       }
         :     }
 265  147:   [1] {
 268   13:     SEQUENCE {
 270    9:       OBJECT IDENTIFIER sha1withRSAEncryption (1 2 840 113549 1 1 5)
 281    0:       NULL
         :       }
 283  129:     BIT STRING
         :       95 30 63 11 C5 2B D7 75 57 92 D5 0B DE 9A 12 DC
         :       CE 1F DD A0 3C 3F 1C 46 02 E1 D0 DC 42 CF 37 92
         :       60 24 F0 AB B5 2D C3 64 E0 AA DA 04 20 26 8A 80
         :       98 2D 95 B2 F1 82 69 F4 B7 4E 82 45 41 76 A1 F2
         :       C9 9A 20 A1 52 7E 70 F8 6E 9D 27 4B 10 41 89 EE
         :       BD 32 A2 1C 36 20 97 35 65 36 6F CB 58 34 DB 7A
         :       A3 AA 7C 20 3D EE 5B 8E 69 6D 7A E2 BD D0 EC 2B
         :       5D A1 AD 45 91 A6 92 40 16 2E 13 A1 C3 4C 6B 18
         :     }
         :   }

Peter.